import { TranslateService } from '@ngx-translate/core';
import { Observable } from 'rxjs';
import { ConfigService } from './config.service';
import { LogService } from './log.service';
export declare class TranslateServiceWrapper extends TranslateService {
    private _defaultTranslation;
    getParsedResult(translations: any, key: any, interpolateParams?: any): any;
}
export declare class LocaleService {
    private config;
    private translate;
    private logger;
    static allLanguages: {
        code: string;
        name: string;
    }[];
    get localeChanged$(): Observable<string>;
    private locale;
    private localeChanged;
    constructor(config: ConfigService, translate: TranslateService, log: LogService);
    refresh(): void;
    setLocale(lang: string): Promise<void>;
    getLocale(): string;
}
